Subject: RE: [Megaco] Basic doubt

From: "Tom-PT Taylor" <[email-masked]>
Date: Wed, 5 Sep 2001 10:35:09 -0400

The Actions must also be executed in the order they are presented.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]
Sent: Wednesday, September 05, 2001 9:44 AM
To: [email-masked]
Subject: [Megaco] Basic doubt

Hi,

I want to clarify one point in the RFC3015 section 8 - "Transactions
guarantee ordered Command processing.  That is, Commands
   within a Transaction are executed sequentially.".   Am I right in my
interpretation that all commands within one action in a transaction are
executed sequentially. 

For e.g.

Transaction 1{
	Action 1{}
	Action 2{}
	Action 3{}
}

So here Action2 could be executed before Action1 but all the commands within
any Action are always executed sequentially.

Is my interpretation correct ?

Regards,
Kishore

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: Terry L Anderson <[email-masked]>
Date: Wed, 05 Sep 2001 11:16:03 -0400

One way to look at this is that commands in a transaction must be
executed in the order they appear in the transaction regardless of
action boundaries.

--
Waiting for the other shoe to drop but hoping its a one legged man.
------------------------------------------------------------
Terry L Anderson              mailto:[email-masked]
Tel:908.582.7013   Fax:908.582.6729
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla